import React from 'react';
import { PrismTheme } from 'prism-react-renderer';
import PropTypes from 'prop-types';
export { vscDarkTheme } from './theme/vsc-dark';
export { vscLightTheme } from './theme/vsc-light';
/**
 * Props of CodeHighlighter
 */
export interface CodeHighlighterProps {
    /**
     * Source code contents
     */
    value: string;
    /**
     * Code language
     */
    lang?: string;
    /**
     * If true, use vscDarkTheme as default theme,
     * otherwise use vscLightTheme as default theme.
     * @default true
     */
    darken?: boolean;
    /**
     * Highlight prism theme.
     */
    theme?: PrismTheme;
    /**
     * Width of line numbers
     */
    linenoWidth?: React.CSSProperties['width'];
    /**
     * Line number color
     */
    linenoColor?: React.CSSProperties['color'];
    /**
     * Line count change callback
     */
    onLineCountChange?: (lineCount: number) => void;
}
/**
 *
 * @param props
 */
export declare function CodeHighlighter(props: CodeHighlighterProps): React.ReactElement | null;
export declare namespace CodeHighlighter {
    var propTypes: {
        value: PropTypes.Validator<string>;
        lang: PropTypes.Requireable<string>;
        theme: PropTypes.Requireable<object>;
        linenoWidth: PropTypes.Requireable<string | number>;
        onLineCountChange: PropTypes.Requireable<(...args: any[]) => any>;
    };
    var displayName: string;
}
export default CodeHighlighter;
export declare const CodeHighlighterClasses: {
    line: string;
    lineNo: string;
};
